variables:
  # SLSA 2 Artifact Metadata 
  # https://about.gitlab.com/releases/2022/06/22/gitlab-15-1-released/#slsa-2-attestation-included-for-build-artifacts
  RUNNER_GENERATE_ARTIFACTS_METADATA: "true"

  # DEBUG VARIABLES
  AUTO_DEVOPS_DEPLOY_DEBUG: "true"
  SECURE_LOG_LEVEL: "debug"
  TRACE: 1
  # DEBUG GIT
  # GIT_CURL_VERBOSE: "1"
  # GIT_DEBUG_LOOKUP: "1"
  # GIT_TRANSLOOP_DEBUG: "1"
  # GIT_TRANSPORT_HELPER_DEBUG: "1"
  # GIT_TRACE: "1"
  # GIT_TRACE_PACK_ACCESS: "1"

include:
  - template: Jobs/Secret-Detection.gitlab-ci.yml  # https://gitlab.com/gitlab-org/gitlab/blob/master/lib/gitlab/ci/templates/Jobs/Secret-Detection.gitlab-ci.yml

